Get Token Summary
Get comprehensive token summary metrics from the Magna platform. Returns total supply, total received, total allocation amount, allocation count, and funded amount. Ideal for: token distribution dashboards, monitoring funding progress, tracking overall vesting status, reporting on token metrics.
Catalog action Integrations magna
Get comprehensive token summary metrics from the Magna platform. Returns total supply, total received, total allocation amount, allocation count, and funded amount. Ideal for: token distribution dashboards, monitoring funding progress, tracking overall vesting status, reporting on token metrics.
At a Glance
| Field | Value |
|---|---|
| Action ID | magna-get-token-summary |
| Category | Integrations |
| Connector | magna |
| Requires gas | No |
| Funds movement | None declared |
| Tags | magna, token, overview, analytics, distribution, read |
Payload Schema
| Field | Type | Required | Description |
|---|---|---|---|
tokenId | string | Yes | The token ID to get the summary for. |
Result Schema
| Field | Type | Required | Description |
|---|---|---|---|
isProcessed | boolean | Yes | Whether the request was processed successfully. |
result | object | Yes | Token summary details. |
Examples
json{ "type": "magna-get-token-summary", "payload": { "tokenId": "1" }, "children": [], "connector": { "type": "magna", "id": "conn_magna" }}
bashcurl -X POST "https://api.b3os.org/v1/actions/magna-get-token-summary/test" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "inputs": { "tokenId": "1" }}'
Payload fields can use workflow expressions such as {{$trigger.body.amount}}, {{$nodes.fetch.result.price}}, and {{$props.asset}} when the value should come from a trigger, prior node, or reusable workflow prop.
